Bug 846701 - Kickstart double "//" slash bug in url
Kickstart double "//" slash bug in url
Status: CLOSED INSUFFICIENT_DATA
Product: Spacewalk
Classification: Community
Component: Server (Show other bugs)
1.7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Jan Pazdziora
Red Hat Satellite QA List
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-08 09:15 EDT by Paul
Modified: 2013-03-08 10:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-08 10:12:45 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Depicts the "//" double slash problem in URL (62.69 KB, image/pjpeg)
2012-08-08 09:15 EDT, Paul
no flags Details

  None (edit)
Description Paul 2012-08-08 09:15:07 EDT
Created attachment 603030 [details]
Depicts the "//" double slash problem in URL

Description of problem:
When trying to boot a virtual machine using a cobbler generated.iso file, I encounter the following message: " Unable to retrive http://10.99.30.61//ks/dist/rhel5_64bit_dist/images/stage2.img " notice the "//" forward slashes. When I hit on ok, i get the chance to change the full path. See the attached picture that depicts this scenario.

So even after removing the "/" in front of the ks/dist/.... on the second line the problem re-occurs. So i can never get by this step as the URL is not valid because of the "//" double slashes bug.


Version-Release number of selected component (if applicable):
spacewalk 1.7
cobbler.noarch 2.2.3-2.el5

How reproducible:

Always

Steps to Reproduce:
1.Create a Kickstart Profile
2.In /etc/rhn/rhn.conf change the value of the parameter cobbler.host to the ip address of the spacewalk server.
In /etc/cobbler/settings change the value of the parameters server and redhat_management_server to the ip-address of the spacewalk server.
3. run:
   cobbler get-loaders
   cobbler buildiso
4. boot the vm using the buildiso.iso file
  
Actual results:

you get the: http://yourip//... (double slash problem)

Expected results:

You should get the: http://yourip/ks/dist/rhel5_64bit_dist/images/stage2.img

Additional info:
Comment 1 Jan Pazdziora 2012-12-07 14:59:07 EST
If you provision directly from Spacewalk, do you see the same problem? In other words, is this related to buildiso or to the kickstart generated by Spacewalk? What does the kickstart file look like in either situation?
Comment 2 Jan Pazdziora 2013-03-08 10:12:45 EST
Waiting for needinfo too long, closing.

Note You need to log in before you can comment on or make changes to this bug.